Bug 984059 - kickstart to multipath disk with existing LVM fails as does not accept any name for disk drive
kickstart to multipath disk with existing LVM fails as does not accept any na...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 12:07 EDT by Phil Davis
Modified: 2016-07-06 11:18 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-06 11:18:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mpatha storage.log (90.49 KB, text/plain)
2013-07-13 08:45 EDT, Phil Davis
no flags Details
by-id storage.log (90.49 KB, text/plain)
2013-07-13 08:48 EDT, Phil Davis
no flags Details
fix1 by-id storage.log (191.53 KB, text/plain)
2013-07-19 06:32 EDT, Phil Davis
no flags Details
fix1 mpatha storage.log (168.53 KB, text/plain)
2013-07-19 06:36 EDT, Phil Davis
no flags Details

  None (edit)
Description Phil Davis 2013-07-12 12:07:07 EDT
Description of problem:

Attemtping to kickstart an HP DL350 G5 but cannot find any value that works for the --drives argument to clearpart or bootloader options.

Version-Release number of selected component (if applicable):

Fedora 19 x86_64 

How reproducible:

1. Manually install F19 via DVD so end up with LVM partitions.

2. Then attempt to kickstart (boot from DVD, add "text ks=...") using any of the following values for the --drives argument to clearpart or bootloader:

  mpatha
  mapper/mpatha
  cciss/c0d0
  disk/by_id/cciss-3600508b1001038323120202020200000

kickstart config for disks was:
---------------------------
# Partition clearing information
clearpart --all --initlabel --drives=disk/by_id/cciss-3600508b1001038323120202020200000
bootloader --location=mbr --drives=disk/by_id/cciss-3600508b1001038323120202020200000
autopart --type=lvm
-----------------------------
Actual results:

Either error message about disk not existing or get dropped into
installer question about destination disk.

Expected results:

Fully automated.

Additional info:

Same effect with graphical installer, just faster to test with text mode.

Output of 'multipath -ll' after installer stops:
mpatha (3600508b1001038323120202020200000) dm-0 HP      ,LOGICAL VOLUME
size=137G features='1 queue_if_no_path' hwhandler='0' wp=rw
`-+- policy='service-time 0' prio=1 status=active
  `- 0:0:0:0 cciss/c0d0 104:0 active ready running
Comment 1 David Lehman 2013-07-12 13:49:55 EDT
Note the it is by-id/ -- not by_id/

Please try again, using either mpatha or by-id/.... and attach /tmp/storage.log to this bug report so I can try to figure out what the problem is. Thanks.
Comment 2 Phil Davis 2013-07-13 08:45:55 EDT
Created attachment 773024 [details]
mpatha storage.log

Using mpatha drops into installer saying no destination disk selected.
Comment 3 Phil Davis 2013-07-13 08:48:06 EDT
Created attachment 773033 [details]
by-id storage.log

Using by-id/.... also drops back into the installer saying no destination disk selected.

ks config was:
learpart --all --initlabel --drives=disk/by-id/cciss-3600508b1001038323120202020200000
#clearpart --all --initlabel --drives=mpatha
bootloader --location=mbr --drive=disk/by-id/cciss-3600508b1001038323120202020200000
autopart --type=lvm
Comment 4 David Lehman 2013-07-18 10:25:10 EDT
I have a patch ready for testing. To test it, add the following argument to your boot command line when booting the installer:

  inst.updates=http://dlehman.fedorapeople.org/updates/updates-984059.0.img

Let me know how it goes. Thanks.
Comment 5 Phil Davis 2013-07-19 06:32:53 EDT
Created attachment 775745 [details]
fix1 by-id storage.log

With inst.updates=... added (used local copy of updates-984059.0.img as firewall issues here) and kickstart file using by-id (as per comment 3) the installer stopped with error message:

Started automated install.....
Generating updated storage configuration
storage configuration failed: Not enough free space on disks for  automatic partitioning
Comment 6 Phil Davis 2013-07-19 06:36:15 EDT
Created attachment 775746 [details]
fix1 mpatha storage.log

With inst.updates and kickstart config of:

clearpart --all --initlabel --drives=mpatha
bootloader --location=mbr --drive=mpatha
autopart --type=lvm

this now works (i.e. fully automatic kickstart).

Note this attempt was directly after the failed attempt with the by-id config - I forgot to check if that did something to the parition table before it failed.
Comment 7 Fedora End Of Life 2015-01-09 17:12:01 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Jaroslav Reznik 2015-03-03 11:54:02 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 9 Fedora Admin XMLRPC Client 2015-09-28 16:26:16 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 David Lehman 2016-07-06 11:18:05 EDT
This should have been fixed a long time ago. If the problem persists please reopen this report.

Note You need to log in before you can comment on or make changes to this bug.